#include <iostream>
#include <algorithm>
int main()
{
	double N;
    cin>>N;
    double A[N],P[N],i,max,x,j;
    for(i=0;i<N;i++)
    {
    	cin>>A[i]>>P[i];
	}
	for(i=0;i<N;i++)
	{
		x=0;
		for(j=0;j<N;j++)
		x+=P[i]/100*A[j];
		if(x>=max)
		max=x;
	}
	cout<<max;
    return 0;
}